"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SortOrder = exports.AttachmentType = exports.movePhase = exports.deletePhase = exports.createPhase = exports.updatePhase = exports.getPhase = exports.listPhases = exports.__metadata = void 0;
const workflows_v1_phase_phases_universal_js_1 = require("./workflows-v1-phase-phases.universal.js");
exports.__metadata = { PACKAGE_NAME: '@wix/workflows' };
function listPhases(httpClient) {
    return (workflowId, options) => (0, workflows_v1_phase_phases_universal_js_1.listPhases)(workflowId, options, 
    // @ts-ignore
    { httpClient });
}
exports.listPhases = listPhases;
function getPhase(httpClient) {
    return (_id) => (0, workflows_v1_phase_phases_universal_js_1.getPhase)(_id, 
    // @ts-ignore
    { httpClient });
}
exports.getPhase = getPhase;
function updatePhase(httpClient) {
    return (_id, phase) => (0, workflows_v1_phase_phases_universal_js_1.updatePhase)(_id, phase, 
    // @ts-ignore
    { httpClient });
}
exports.updatePhase = updatePhase;
function createPhase(httpClient) {
    return (workflowId, phase, options) => (0, workflows_v1_phase_phases_universal_js_1.createPhase)(workflowId, phase, options, 
    // @ts-ignore
    { httpClient });
}
exports.createPhase = createPhase;
function deletePhase(httpClient) {
    return (_id) => (0, workflows_v1_phase_phases_universal_js_1.deletePhase)(_id, 
    // @ts-ignore
    { httpClient });
}
exports.deletePhase = deletePhase;
function movePhase(httpClient) {
    return (identifiers, newPosition) => (0, workflows_v1_phase_phases_universal_js_1.movePhase)(identifiers, newPosition, 
    // @ts-ignore
    { httpClient });
}
exports.movePhase = movePhase;
var workflows_v1_phase_phases_universal_js_2 = require("./workflows-v1-phase-phases.universal.js");
Object.defineProperty(exports, "AttachmentType", { enumerable: true, get: function () { return workflows_v1_phase_phases_universal_js_2.AttachmentType; } });
Object.defineProperty(exports, "SortOrder", { enumerable: true, get: function () { return workflows_v1_phase_phases_universal_js_2.SortOrder; } });
//# sourceMappingURL=workflows-v1-phase-phases.public.js.map