import * as ambassadorWixWorkflowsV1PhaseTypes from './workflows-v1-phase-phases.types.js';
import * as ambassadorWixWorkflowsV1PhaseUniversalTypes from './workflows-v1-phase-phases.universal.js';
export type __PublicMethodMetaInfo<K = string, M = unknown, T = unknown, S = unknown, Q = unknown, R = unknown> = {
    getUrl: (context: any) => string;
    httpMethod: K;
    path: string;
    pathParams: M;
    __requestType: T;
    __originalRequestType: S;
    __responseType: Q;
    __originalResponseType: R;
};
export declare function listPhases(): __PublicMethodMetaInfo<'GET', {
    workflowId: string;
}, ambassadorWixWorkflowsV1PhaseUniversalTypes.ListPhasesRequest, ambassadorWixWorkflowsV1PhaseTypes.ListPhasesRequest, ambassadorWixWorkflowsV1PhaseUniversalTypes.ListPhasesResponse, ambassadorWixWorkflowsV1PhaseTypes.ListPhasesResponse>;
export declare function getPhase(): __PublicMethodMetaInfo<'GET', {
    id: string;
}, ambassadorWixWorkflowsV1PhaseUniversalTypes.GetPhaseRequest, ambassadorWixWorkflowsV1PhaseTypes.GetPhaseRequest, ambassadorWixWorkflowsV1PhaseUniversalTypes.GetPhaseResponse, ambassadorWixWorkflowsV1PhaseTypes.GetPhaseResponse>;
export declare function updatePhase(): __PublicMethodMetaInfo<'PATCH', {
    id: string;
}, ambassadorWixWorkflowsV1PhaseUniversalTypes.UpdatePhaseRequest, ambassadorWixWorkflowsV1PhaseTypes.UpdatePhaseRequest, ambassadorWixWorkflowsV1PhaseUniversalTypes.UpdatePhaseResponse, ambassadorWixWorkflowsV1PhaseTypes.UpdatePhaseResponse>;
export declare function createPhase(): __PublicMethodMetaInfo<'POST', {
    workflowId: string;
}, ambassadorWixWorkflowsV1PhaseUniversalTypes.CreatePhaseRequest, ambassadorWixWorkflowsV1PhaseTypes.CreatePhaseRequest, ambassadorWixWorkflowsV1PhaseUniversalTypes.CreatePhaseResponse, ambassadorWixWorkflowsV1PhaseTypes.CreatePhaseResponse>;
export declare function deletePhase(): __PublicMethodMetaInfo<'DELETE', {
    id: string;
}, ambassadorWixWorkflowsV1PhaseUniversalTypes.DeletePhaseRequest, ambassadorWixWorkflowsV1PhaseTypes.DeletePhaseRequest, ambassadorWixWorkflowsV1PhaseUniversalTypes.DeletePhaseResponse, ambassadorWixWorkflowsV1PhaseTypes.DeletePhaseResponse>;
export declare function movePhase(): __PublicMethodMetaInfo<'POST', {
    workflowId: string;
    id: string;
}, ambassadorWixWorkflowsV1PhaseUniversalTypes.MovePhaseRequest, ambassadorWixWorkflowsV1PhaseTypes.MovePhaseRequest, ambassadorWixWorkflowsV1PhaseUniversalTypes.MovePhaseResponse, ambassadorWixWorkflowsV1PhaseTypes.MovePhaseResponse>;
