import { createPhase as universalCreatePhase, deletePhase as universalDeletePhase, getPhase as universalGetPhase, listPhases as universalListPhases, movePhase as universalMovePhase, updatePhase as universalUpdatePhase, } from './workflows-v1-phase-phases.universal.js';
export const __metadata = { PACKAGE_NAME: '@wix/workflows' };
export function listPhases(httpClient) {
    return (workflowId, options) => universalListPhases(workflowId, options, 
    // @ts-ignore
    { httpClient });
}
export function getPhase(httpClient) {
    return (_id) => universalGetPhase(_id, 
    // @ts-ignore
    { httpClient });
}
export function updatePhase(httpClient) {
    return (_id, phase) => universalUpdatePhase(_id, phase, 
    // @ts-ignore
    { httpClient });
}
export function createPhase(httpClient) {
    return (workflowId, phase, options) => universalCreatePhase(workflowId, phase, options, 
    // @ts-ignore
    { httpClient });
}
export function deletePhase(httpClient) {
    return (_id) => universalDeletePhase(_id, 
    // @ts-ignore
    { httpClient });
}
export function movePhase(httpClient) {
    return (identifiers, newPosition) => universalMovePhase(identifiers, newPosition, 
    // @ts-ignore
    { httpClient });
}
export { AttachmentType, SortOrder, } from './workflows-v1-phase-phases.universal.js';
//# sourceMappingURL=workflows-v1-phase-phases.public.js.map