import { listPhases as publicListPhases, getPhase as publicGetPhase, updatePhase as publicUpdatePhase, createPhase as publicCreatePhase, deletePhase as publicDeletePhase, movePhase as publicMovePhase } from './workflows-v1-phase-phases.public.js';
import { BuildRESTFunction, MaybeContext } from '@wix/sdk-types';
export declare const listPhases: MaybeContext<BuildRESTFunction<typeof publicListPhases> & typeof publicListPhases>;
export declare const getPhase: MaybeContext<BuildRESTFunction<typeof publicGetPhase> & typeof publicGetPhase>;
export declare const updatePhase: MaybeContext<BuildRESTFunction<typeof publicUpdatePhase> & typeof publicUpdatePhase>;
export declare const createPhase: MaybeContext<BuildRESTFunction<typeof publicCreatePhase> & typeof publicCreatePhase>;
export declare const deletePhase: MaybeContext<BuildRESTFunction<typeof publicDeletePhase> & typeof publicDeletePhase>;
export declare const movePhase: MaybeContext<BuildRESTFunction<typeof publicMovePhase> & typeof publicMovePhase>;
export { AttachmentType, SortOrder, } from './workflows-v1-phase-phases.universal.js';
export { Phase, PhaseInfo, CardsList, Card, CardInfo, Attachment, QueryPhasesRequest, Query, Sorting, Paging, QueryPhasesResponse, PaginationResponse, ListPhasesRequest, ListPhasesResponse, GetPhaseRequest, GetPhaseResponse, UpdatePhaseRequest, UpdatePhaseResponse, CreatePhaseRequest, CreatePhaseResponse, DeletePhaseRequest, DeletePhaseResponse, MovePhaseRequest, MovePhaseResponse, ListPhasesOptions, CreatePhaseOptions, MovePhaseIdentifiers, } from './workflows-v1-phase-phases.universal.js';
