"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.movePhase = exports.deletePhase = exports.createPhase = exports.updatePhase = exports.getPhase = exports.listPhases = void 0;
const ambassadorWixWorkflowsV1Phase = __importStar(require("./workflows-v1-phase-phases.http.js"));
function listPhases() {
    const payload = { workflowId: ':workflowId' };
    const getRequestOptions = ambassadorWixWorkflowsV1Phase.listPhases(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'GET',
        path: '/v1/workflows/{workflowId}/phases',
        pathParams: { workflowId: 'workflowId' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.listPhases = listPhases;
function getPhase() {
    const payload = { id: ':id' };
    const getRequestOptions = ambassadorWixWorkflowsV1Phase.getPhase(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'GET',
        path: '/v1/phases/{id}',
        pathParams: { id: 'id' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.getPhase = getPhase;
function updatePhase() {
    const payload = { id: ':id' };
    const getRequestOptions = ambassadorWixWorkflowsV1Phase.updatePhase(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'PATCH',
        path: '/v1/phases/{id}',
        pathParams: { id: 'id' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.updatePhase = updatePhase;
function createPhase() {
    const payload = { workflowId: ':workflowId' };
    const getRequestOptions = ambassadorWixWorkflowsV1Phase.createPhase(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'POST',
        path: '/v1/workflows/{workflowId}/phases',
        pathParams: { workflowId: 'workflowId' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.createPhase = createPhase;
function deletePhase() {
    const payload = { id: ':id' };
    const getRequestOptions = ambassadorWixWorkflowsV1Phase.deletePhase(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'DELETE',
        path: '/v1/phases/{id}',
        pathParams: { id: 'id' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.deletePhase = deletePhase;
function movePhase() {
    const payload = { workflowId: ':workflowId', id: ':id' };
    const getRequestOptions = ambassadorWixWorkflowsV1Phase.movePhase(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'POST',
        path: '/v1/workflows/{workflowId}/phases/{id}/move',
        pathParams: { workflowId: 'workflowId', id: 'id' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
exports.movePhase = movePhase;
//# sourceMappingURL=workflows-v1-phase-phases.meta.js.map