import * as ambassadorWixWorkflowsV1Phase from './workflows-v1-phase-phases.http.js';
export function listPhases() {
    const payload = { workflowId: ':workflowId' };
    const getRequestOptions = ambassadorWixWorkflowsV1Phase.listPhases(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'GET',
        path: '/v1/workflows/{workflowId}/phases',
        pathParams: { workflowId: 'workflowId' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
export function getPhase() {
    const payload = { id: ':id' };
    const getRequestOptions = ambassadorWixWorkflowsV1Phase.getPhase(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'GET',
        path: '/v1/phases/{id}',
        pathParams: { id: 'id' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
export function updatePhase() {
    const payload = { id: ':id' };
    const getRequestOptions = ambassadorWixWorkflowsV1Phase.updatePhase(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'PATCH',
        path: '/v1/phases/{id}',
        pathParams: { id: 'id' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
export function createPhase() {
    const payload = { workflowId: ':workflowId' };
    const getRequestOptions = ambassadorWixWorkflowsV1Phase.createPhase(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'POST',
        path: '/v1/workflows/{workflowId}/phases',
        pathParams: { workflowId: 'workflowId' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
export function deletePhase() {
    const payload = { id: ':id' };
    const getRequestOptions = ambassadorWixWorkflowsV1Phase.deletePhase(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'DELETE',
        path: '/v1/phases/{id}',
        pathParams: { id: 'id' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
export function movePhase() {
    const payload = { workflowId: ':workflowId', id: ':id' };
    const getRequestOptions = ambassadorWixWorkflowsV1Phase.movePhase(payload);
    const getUrl = (context) => {
        const { url } = getRequestOptions(context);
        return url;
    };
    return {
        getUrl,
        httpMethod: 'POST',
        path: '/v1/workflows/{workflowId}/phases/{id}/move',
        pathParams: { workflowId: 'workflowId', id: 'id' },
        __requestType: null,
        __originalRequestType: null,
        __responseType: null,
        __originalResponseType: null,
    };
}
//# sourceMappingURL=workflows-v1-phase-phases.meta.js.map